package com.qmth.themis.backend.api;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qmth.themis.business.constant.SystemConstant;
import com.qmth.themis.business.entity.TBPrivilege;
import com.qmth.themis.business.entity.TBUser;
import com.qmth.themis.business.enums.RoleEnum;
import com.qmth.themis.business.service.TBPrivilegeService;
import com.qmth.themis.business.util.RedisUtil;
import com.qmth.themis.common.enums.ExceptionResultEnum;
import com.qmth.themis.common.exception.BusinessException;
import com.qmth.themis.common.util.Result;
import com.qmth.themis.common.util.ResultUtil;
import io.swagger.annotations.*;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;

/**
 * @Description: 系统信息 前端控制器
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/27
 */
@Api(tags = "系统信息Controller")
@RestController
@RequestMapping("/${prefix.url.admin}/sys")
public class SysController {

    @Resource
    TBPrivilegeService tbPrivilegeService;

    @ApiOperation(value = "菜单查询接口")
    @RequestMapping(value = "/getMenu", method = RequestMethod.GET)
    @ApiResponses({@ApiResponse(code = 200, message = "菜单信息", response = TBPrivilege.class)})
    public Result getMenu(@ApiParam(value = "用户id", required = true) @RequestParam Long userId) {
//        TBUser tbUser = (TBUser) RedisUtil.getUser(userId);
//        if (Objects.isNull(tbUser)) {
//            throw new BusinessException(ExceptionResultEnum.LOGIN_NO);
//        }

//        TBUser tbUser = new TBUser();
        List<TBPrivilege> tbPrivilegeList = null;
//        if (Objects.nonNull(tbUser.getRemark()) && Objects.equals(tbUser.getRemark(), RoleEnum.SUPER_ADMIN.getCode())) {
            QueryWrapper<TBPrivilege> wrapper = new QueryWrapper<>();
            wrapper.lambda().eq(TBPrivilege::getType, SystemConstant.MENU).orderByAsc(TBPrivilege::getParentId, TBPrivilege::getSequence);
            tbPrivilegeList = tbPrivilegeService.list(wrapper);
//        } else {
//            tbPrivilegeList = tbPrivilegeService.getMenu(tbUser.getId());
//        }
        Map map = new HashMap();
        map.put(SystemConstant.RECORDS, tbPrivilegeList);
        return ResultUtil.ok(map);
    }
}
