package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 会话信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_b_session", description = "会话信息")
public class TBSession implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "用户标识")
    @TableId(value = "identity")
    private String identity;

    @ApiModelProperty(value = "用户类型")
    @TableId(value = "type")
    private Integer type;

    @ApiModelProperty(value = "访问来源")
    @TableId(value = "source")
    private Integer source;

    @ApiModelProperty(value = "设备分类")
    @TableId(value = "platform")
    private Integer platform;

    @ApiModelProperty(value = "设备标识")
    @TableField("device_id")
    private String deviceId;

    @ApiModelProperty(value = "登录IP地址")
    @TableId(value = "address")
    private String address;

    @ApiModelProperty(value = "访问令牌")
    @TableId(value = "access_token")
    private String accessToken;

    @ApiModelProperty(value = "最近访问时间")
    @TableId(value = "last_access_time")
    private Date lastAccessTime;

    @ApiModelProperty(value = "最近访问IP地址")
    @TableId(value = "last_access_ip")
    private String lastAccessIp;

    @ApiModelProperty(value = "令牌更新时间")
    @TableId(value = "update_time")
    private Date updateTime;

    @ApiModelProperty(value = "令牌强制失效时间")
    @TableId(value = "expire_time")
    private Date expireTime;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public Integer getPlatform() {
        return platform;
    }

    public void setPlatform(Integer platform) {
        this.platform = platform;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public Date getLastAccessTime() {
        return lastAccessTime;
    }

    public void setLastAccessTime(Date lastAccessTime) {
        this.lastAccessTime = lastAccessTime;
    }

    public String getLastAccessIp() {
        return lastAccessIp;
    }

    public void setLastAccessIp(String lastAccessIp) {
        this.lastAccessIp = lastAccessIp;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getExpireTime() {
        return expireTime;
    }

    public void setExpireTime(Date expireTime) {
        this.expireTime = expireTime;
    }
}
