package com.qmth.themis.business.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 考试记录
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/6/25
 */
@ApiModel(value = "t_oe_exam_record", description = "考试记录")
public class TOeExamRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id")
    private Long id;

    @ApiModelProperty(value = "考试批次ID")
    @TableId(value = "exam_id")
    private Long examId;

    @ApiModelProperty(value = "考试场次ID")
    @TableId(value = "exam_activity_id")
    private Long examActivityId;

    @ApiModelProperty(value = "考生ID")
    @TableId(value = "exam_student_id")
    private Long examStudentId;

    @ApiModelProperty(value = "实际使用的试卷ID")
    @TableId(value = "paper_id")
    private Long paperId;

    @ApiModelProperty(value = "个人试卷结构保存地址")
    @TableId(value = "paper_struct_path")
    private String paperStructPath;

    @ApiModelProperty(value = "全部作答保存地址")
    @TableId(value = "answer_path")
    private String answerPath;

    @ApiModelProperty(value = "第几次考试")
    @TableId(value = "order_number")
    private Integer orderNumber;

    @ApiModelProperty(value = "当前状态")
    @TableId(value = "status")
    private Integer status;

    @ApiModelProperty(value = "首次进入候考时间")
    @TableId(value = "first_prepare_time")
    private Date firstPrepareTime;

    @ApiModelProperty(value = "首次开考时间")
    @TableId(value = "first_start_time")
    private Date firstStartTime;

    @ApiModelProperty(value = "最近断点时间")
    @TableId(value = "last_break_time")
    private Date lastBreakTime;

    @ApiModelProperty(value = "最近恢复候考时间")
    @TableId(value = "last_prepare_time")
    private Date lastPrepareTime;

    @ApiModelProperty(value = "最近恢复开考时间")
    @TableId(value = "last_start_time")
    private Date lastStartTime;

    @ApiModelProperty(value = "剩余断点续考次数")
    @TableId(value = "left_break_resume_count")
    private Integer leftBreakResumeCount;

    @ApiModelProperty(value = "开考人脸验证结果")
    @TableId(value = "entry_face_verify_result")
    private Integer entryFaceVerifyResult;

    @ApiModelProperty(value = "开考人脸验证记录ID")
    @TableId(value = "entry_face_verify_history_id")
    private Long entryFaceVerifyHistoryId;

    @ApiModelProperty(value = "开考活体验证结果")
    @TableId(value = "entry_liveness_verify_result")
    private Integer entryLivenessVerifyResult;

    @ApiModelProperty(value = "开考活体验证记录ID")
    @TableId(value = "entry_liveness_verify_history_id")
    private Long entryLivenessVerifyHistoryId;

    @ApiModelProperty(value = "最近过程人脸验证结果")
    @TableId(value = "last_face_verify_result")
    private Integer lastFaceVerifyResult;

    @ApiModelProperty(value = "最近过程人脸验证记录ID")
    @TableId(value = "last_face_verify_history_id")
    private Long lastFaceVerifyHistoryId;

    @ApiModelProperty(value = "最近活体验证结果")
    @TableId(value = "last_liveness_verify_result")
    private Integer lastLivenessVerifyResult;

    @ApiModelProperty(value = "最近活体验证记录ID")
    @TableId(value = "last_liveness_verify_history_id")
    private Long lastLivenessVerifyHistoryId;

    @ApiModelProperty(value = "客户端当前IP地址")
    @TableId(value = "client_current_ip")
    private String clientCurrentIp;

    @ApiModelProperty(value = "客户端websocket状态")
    @TableId(value = "client_websocket_status")
    private Integer clientWebsocketStatus;

    @ApiModelProperty(value = "客户端websocket连接标识")
    @TableId(value = "client_websocket_id")
    private String clientWebsocketId;

    @ApiModelProperty(value = "客户端最近同步时间")
    @TableId(value = "client_last_sync_time")
    private Date clientLastSyncTime;

    @ApiModelProperty(value = "微信小程序websocket状态")
    @TableId(value = "wxapp_websocket_status")
    private Integer wxappWebsocketStatus;

    @ApiModelProperty(value = "微信小程序websocket连接标识")
    @TableId(value = "wxapp_websocket_id")
    private String wxappWebsocketId;

    @ApiModelProperty(value = "微信小程序最近同步时间")
    @TableId(value = "wxapp_last_sync_time")
    private Date wxappLastSyncTime;

    @ApiModelProperty(value = "客户端推流状态")
    @TableId(value = "client_video_push_status")
    private Integer clientVideoPushStatus;

    @ApiModelProperty(value = "客户端推流地址")
    @TableId(value = "client_video_push_key")
    private String clientVideoPushKey;

    @ApiModelProperty(value = "微信小程序推流状态")
    @TableId(value = "wxapp_video_push_status")
    private Integer wxappVideoPushStatus;

    @ApiModelProperty(value = "微信小程序推流地址")
    @TableId(value = "wxapp_video_push_key")
    private String wxappVideoPushKey;

    @ApiModelProperty(value = "答题进度")
    @TableId(value = "answer_progress")
    private Double answerProgress;

    @ApiModelProperty(value = "累计考试用时")
    @TableId(value = "duration_seconds")
    private Integer durationSeconds;

    @ApiModelProperty(value = "交卷时间")
    @TableId(value = "finish_time")
    private Date finishTime;

    @ApiModelProperty(value = "交卷原因")
    @TableId(value = "finish_type")
    private Integer finishType;

    @ApiModelProperty(value = "预警次数")
    @TableId(value = "warning_count")
    private Integer warningCount;

    @ApiModelProperty(value = "审核结果")
    @TableId(value = "review_result")
    private Integer reviewResult;

    @ApiModelProperty(value = "客观题分数")
    @TableId(value = "objective_score")
    private Double objectiveScore;

    @ApiModelProperty(value = "试题下载，0：是，1：不是")
    @TableId(value = "paper_download")
    private Integer paperDownload;

    @ApiModelProperty(value = "是否违纪，0：是，1：不是")
    @TableId(value = "breach_status")
    private Integer breachStatus;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getExamActivityId() {
        return examActivityId;
    }

    public void setExamActivityId(Long examActivityId) {
        this.examActivityId = examActivityId;
    }

    public Long getExamStudentId() {
        return examStudentId;
    }

    public void setExamStudentId(Long examStudentId) {
        this.examStudentId = examStudentId;
    }

    public Long getPaperId() {
        return paperId;
    }

    public void setPaperId(Long paperId) {
        this.paperId = paperId;
    }

    public String getPaperStructPath() {
        return paperStructPath;
    }

    public void setPaperStructPath(String paperStructPath) {
        this.paperStructPath = paperStructPath;
    }

    public String getAnswerPath() {
        return answerPath;
    }

    public void setAnswerPath(String answerPath) {
        this.answerPath = answerPath;
    }

    public Integer getOrderNumber() {
        return orderNumber;
    }

    public void setOrderNumber(Integer orderNumber) {
        this.orderNumber = orderNumber;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getFirstPrepareTime() {
        return firstPrepareTime;
    }

    public void setFirstPrepareTime(Date firstPrepareTime) {
        this.firstPrepareTime = firstPrepareTime;
    }

    public Date getFirstStartTime() {
        return firstStartTime;
    }

    public void setFirstStartTime(Date firstStartTime) {
        this.firstStartTime = firstStartTime;
    }

    public Date getLastBreakTime() {
        return lastBreakTime;
    }

    public void setLastBreakTime(Date lastBreakTime) {
        this.lastBreakTime = lastBreakTime;
    }

    public Date getLastPrepareTime() {
        return lastPrepareTime;
    }

    public void setLastPrepareTime(Date lastPrepareTime) {
        this.lastPrepareTime = lastPrepareTime;
    }

    public Date getLastStartTime() {
        return lastStartTime;
    }

    public void setLastStartTime(Date lastStartTime) {
        this.lastStartTime = lastStartTime;
    }

    public Integer getLeftBreakResumeCount() {
        return leftBreakResumeCount;
    }

    public void setLeftBreakResumeCount(Integer leftBreakResumeCount) {
        this.leftBreakResumeCount = leftBreakResumeCount;
    }

    public Integer getEntryFaceVerifyResult() {
        return entryFaceVerifyResult;
    }

    public void setEntryFaceVerifyResult(Integer entryFaceVerifyResult) {
        this.entryFaceVerifyResult = entryFaceVerifyResult;
    }

    public Long getEntryFaceVerifyHistoryId() {
        return entryFaceVerifyHistoryId;
    }

    public void setEntryFaceVerifyHistoryId(Long entryFaceVerifyHistoryId) {
        this.entryFaceVerifyHistoryId = entryFaceVerifyHistoryId;
    }

    public Integer getEntryLivenessVerifyResult() {
        return entryLivenessVerifyResult;
    }

    public void setEntryLivenessVerifyResult(Integer entryLivenessVerifyResult) {
        this.entryLivenessVerifyResult = entryLivenessVerifyResult;
    }

    public Long getEntryLivenessVerifyHistoryId() {
        return entryLivenessVerifyHistoryId;
    }

    public void setEntryLivenessVerifyHistoryId(Long entryLivenessVerifyHistoryId) {
        this.entryLivenessVerifyHistoryId = entryLivenessVerifyHistoryId;
    }

    public Integer getLastFaceVerifyResult() {
        return lastFaceVerifyResult;
    }

    public void setLastFaceVerifyResult(Integer lastFaceVerifyResult) {
        this.lastFaceVerifyResult = lastFaceVerifyResult;
    }

    public Long getLastFaceVerifyHistoryId() {
        return lastFaceVerifyHistoryId;
    }

    public void setLastFaceVerifyHistoryId(Long lastFaceVerifyHistoryId) {
        this.lastFaceVerifyHistoryId = lastFaceVerifyHistoryId;
    }

    public Integer getLastLivenessVerifyResult() {
        return lastLivenessVerifyResult;
    }

    public void setLastLivenessVerifyResult(Integer lastLivenessVerifyResult) {
        this.lastLivenessVerifyResult = lastLivenessVerifyResult;
    }

    public Long getLastLivenessVerifyHistoryId() {
        return lastLivenessVerifyHistoryId;
    }

    public void setLastLivenessVerifyHistoryId(Long lastLivenessVerifyHistoryId) {
        this.lastLivenessVerifyHistoryId = lastLivenessVerifyHistoryId;
    }

    public String getClientCurrentIp() {
        return clientCurrentIp;
    }

    public void setClientCurrentIp(String clientCurrentIp) {
        this.clientCurrentIp = clientCurrentIp;
    }

    public Integer getClientWebsocketStatus() {
        return clientWebsocketStatus;
    }

    public void setClientWebsocketStatus(Integer clientWebsocketStatus) {
        this.clientWebsocketStatus = clientWebsocketStatus;
    }

    public String getClientWebsocketId() {
        return clientWebsocketId;
    }

    public void setClientWebsocketId(String clientWebsocketId) {
        this.clientWebsocketId = clientWebsocketId;
    }

    public Date getClientLastSyncTime() {
        return clientLastSyncTime;
    }

    public void setClientLastSyncTime(Date clientLastSyncTime) {
        this.clientLastSyncTime = clientLastSyncTime;
    }

    public Integer getWxappWebsocketStatus() {
        return wxappWebsocketStatus;
    }

    public void setWxappWebsocketStatus(Integer wxappWebsocketStatus) {
        this.wxappWebsocketStatus = wxappWebsocketStatus;
    }

    public String getWxappWebsocketId() {
        return wxappWebsocketId;
    }

    public void setWxappWebsocketId(String wxappWebsocketId) {
        this.wxappWebsocketId = wxappWebsocketId;
    }

    public Date getWxappLastSyncTime() {
        return wxappLastSyncTime;
    }

    public void setWxappLastSyncTime(Date wxappLastSyncTime) {
        this.wxappLastSyncTime = wxappLastSyncTime;
    }

    public Integer getClientVideoPushStatus() {
        return clientVideoPushStatus;
    }

    public void setClientVideoPushStatus(Integer clientVideoPushStatus) {
        this.clientVideoPushStatus = clientVideoPushStatus;
    }

    public String getClientVideoPushKey() {
        return clientVideoPushKey;
    }

    public void setClientVideoPushKey(String clientVideoPushKey) {
        this.clientVideoPushKey = clientVideoPushKey;
    }

    public Integer getWxappVideoPushStatus() {
        return wxappVideoPushStatus;
    }

    public void setWxappVideoPushStatus(Integer wxappVideoPushStatus) {
        this.wxappVideoPushStatus = wxappVideoPushStatus;
    }

    public String getWxappVideoPushKey() {
        return wxappVideoPushKey;
    }

    public void setWxappVideoPushKey(String wxappVideoPushKey) {
        this.wxappVideoPushKey = wxappVideoPushKey;
    }

    public Double getAnswerProgress() {
        return answerProgress;
    }

    public void setAnswerProgress(Double answerProgress) {
        this.answerProgress = answerProgress;
    }

    public Integer getDurationSeconds() {
        return durationSeconds;
    }

    public void setDurationSeconds(Integer durationSeconds) {
        this.durationSeconds = durationSeconds;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public Integer getFinishType() {
        return finishType;
    }

    public void setFinishType(Integer finishType) {
        this.finishType = finishType;
    }

    public Integer getWarningCount() {
        return warningCount;
    }

    public void setWarningCount(Integer warningCount) {
        this.warningCount = warningCount;
    }

    public Integer getReviewResult() {
        return reviewResult;
    }

    public void setReviewResult(Integer reviewResult) {
        this.reviewResult = reviewResult;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public Integer getPaperDownload() {
        return paperDownload;
    }

    public void setPaperDownload(Integer paperDownload) {
        this.paperDownload = paperDownload;
    }

    public Integer getBreachStatus() {
        return breachStatus;
    }

    public void setBreachStatus(Integer breachStatus) {
        this.breachStatus = breachStatus;
    }
}
